package com.qmth.teachcloud.common.bean.dto;

import com.qmth.teachcloud.common.bean.result.SysUserResult;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 命题老师 dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/3/27
 */
public class AssignTeacherDto {

    @ApiModelProperty(value = "命题老师集合")
    List<OrgDto> blurryUserDtoList;

    @ApiModelProperty(value = "课程下系统用户")
    List<SysUserResult> courseUserList;

    @ApiModelProperty(value = "所有用户")
    List<SysUserResult> allUserList;

    public AssignTeacherDto() {

    }

    public AssignTeacherDto(List<OrgDto> blurryUserDtoList, List<SysUserResult> courseUserList, List<SysUserResult> allUserList) {
        this.blurryUserDtoList = blurryUserDtoList;
        this.courseUserList = courseUserList;
        this.allUserList = allUserList;
    }

    public List<SysUserResult> getAllUserList() {
        return allUserList;
    }

    public void setAllUserList(List<SysUserResult> allUserList) {
        this.allUserList = allUserList;
    }

    public List<OrgDto> getBlurryUserDtoList() {
        return blurryUserDtoList;
    }

    public void setBlurryUserDtoList(List<OrgDto> blurryUserDtoList) {
        this.blurryUserDtoList = blurryUserDtoList;
    }

    public List<SysUserResult> getCourseUserList() {
        return courseUserList;
    }

    public void setCourseUserList(List<SysUserResult> courseUserList) {
        this.courseUserList = courseUserList;
    }
}
